<div class="m-2 nlb-page">
  <div class="row">
    <div class="col-6">
      <nlb-back-button class="mb-2" (click)="back()"></nlb-back-button>
    </div>
  </div>
  <nlb-progress-bar class="mb-2" [value]="1 / 5" [max]="1"></nlb-progress-bar>
  <nlb-basic-info [monthlyAnnuity]="500" [duration]="60"> </nlb-basic-info>
  <div class="card mt-4">
    <div class="container">
      <div class="row mb-2 mt-3">
        <div class="col-12 mb-2">
          <bb-header-ui
            headingType="h3"
            i18n-heading="
              site header|An introduction header for this
              widget@@nlb-passive-processes-cards.standing-order-data.heading"
            heading="Standing order"
          ></bb-header-ui>
        </div>
        <div class="col-12 mb-2">
          <p
            i18n="
              Message|Main message for this widget@@nlb-passive-processes-cards.gradual-savings-data-card.mainMessage"
          >
            For monthly payments to savings we will open standing order. At the end of savings, funds will be
            transferred to the selected pay out account.
          </p>
        </div>
        <div class="col-12 mb-2 d-flex flex-column">
          <label>PAY FROM ACCOUNT</label>
          <nlb-select-account-component
            id="fromAccountsDropdown"
            class="w-100"
            [options]="myAccounts"
            [selectedAccount]="currentSelectedAccount"
            (optionSelected)="selectAccount($event)"
          >
          </nlb-select-account-component>
        </div>
        <div class="col-12 mb-2 d-flex flex-row">
          <div class="error-ocured-image insufficient-funds">
            <!-- <i class="error-content-icon"></i> -->
          </div>
          <div class="error-text-insufficient-funds mb-2">
            <p>You don’t have sufficient balance on the account.</p>
          </div>
        </div>
        <div class="col-12 mb-2 d-flex flex-column mb-2">
          <label>Select payment date</label>
          <label class="nlb-checkbox" *ngFor="let item of checklist">
            <input
              type="checkbox"
              value="{{ item.id }}"
              [checked]="item.isSelected"
              (change)="isAllSelected(item)"
            /><span class="checkmark"></span> {{ item.value }}
          </label>
        </div>
        <div class="col-12 mb-2 d-flex flex-direction-row">
          <p>First payment date:</p>
          <p class="gradual-savings-paragraph">DD.MM.YYYY</p>
        </div>
        <div class="col-12 mb-4 d-flex flex-column">
          <label>PAY OUT ACCOUNT</label>
          <nlb-select-account-component
            id="fromAccountsDropdown"
            class="w-100"
            [options]="myAccounts"
            [selectedAccount]="currentSelectedAccount"
            (optionSelected)="selectAccount($event)"
          >
          </nlb-select-account-component>
        </div>
      </div>
    </div>
  </div>
  <div class="d-flex flex-row-reverse align-items-center">
    <div class="p-2">
      <bb-button-ui (click)="next()">
        Next
      </bb-button-ui>
    </div>
    <div class="p-2">
      <bb-loading-indicator-ui loaderSize="md"></bb-loading-indicator-ui>
    </div>
    <div class="p-2">
      <button
        color="unstyled"
        style="color: black;"
        class="btn btn-link mr-1 nlb-processes-btn-unstyled"
        (click)="cancel()"
      >
        Cancel
      </button>
    </div>
  </div>
</div>
